DELETE /collections
Deletes a collection by predicted address with signature verification. Only the creator or game owner can delete a collection.

Request Body required

application/json
predictedAddress string REQUIRED
Predicted address of collection to delete
message string REQUIRED
Message that was signed (e.g., "Delete 0x123...")
signature string REQUIRED
EIP-191 signature of the message

Responses

200 Collection deleted successfully
application/json
success boolean
message string
Success message
400 Bad Request - Missing required fields
403 Forbidden - Invalid signature or unauthorized
404 Collection not found
curl -X DELETE 'https://createkit.b3.fun/collections' \  -H 'Content-Type: application/json' \  -d '{  "predictedAddress": "string",  "message": "string",  "signature": "string"}'
const response = await fetch('https://createkit.b3.fun/collections', {  method: 'DELETE',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "predictedAddress": "string",    "message": "string",    "signature": "string"  })});const data = await response.json();console.log(data);
import requestsresponse = requests.delete('https://createkit.b3.fun/collections', json={  "predictedAddress": "string",  "message": "string",  "signature": "string"})print(response.json())
200 Response
{  "success": true,  "message": "<string>"}
Ask a question... ⌘I